
// KEHOME/test/getenv.java
// Aug/22/2003
// get OS environment variables
// usage: java -Dvariable=value ... getenv

import java.util.*;

public class getenv {
    public static void main(String[] args) {

	String classpath = System.getProperty("java.class.path");
	System.out.println("CLASSPATH = " + classpath);

	System.out.println("PATH = " + getenv("PATH"));

	System.out.println("KBDATA = " + getenv("KBDATA"));

	classpath = getenv("CLASSPATH");
	System.out.println("CLASSPATH = " + classpath);
    }

/**
*	get value of -D variable
*/
	public static String getenv(String variable)
	{
	String value = System.getProperty(variable);
	return value;
	}

}
